/**
 * @(#)SWFRect.java
 * @author  Intelligent Technology Inc.
 * @version 1.00 2002/4
 */
package	jp.co.iti.swf;

/**
 * SWF BasicTypesのRectangle Recordを表す。
 */
public class SWFRect implements Cloneable{
	public	int	Xmin;
	public	int	Xmax;
	public	int	Ymin;
	public	int	Ymax;
	
	/**
	 * @since	1.00
	 */
	public	SWFRect(){}
	
	/**
	 * コピーコンストラクタ。
	 * @since	1.00
	 */
	public	SWFRect(SWFRect org){
		Xmin	=	org.Xmin;
		Xmax	=	org.Xmax;
		Ymin	=	org.Ymin;
		Ymax	=	org.Ymax;
	}
	
	/**
	 * このインスタンスのクローンを作る。
	 * @return	このインスタンスのクローン。
	 * @since	1.00
	 */
	public	Object	clone(){ return new SWFRect(this); }
	
	/**
	 * このインスタンスの文字列表現を得る。
	 * @return	このインスタンスの文字列表現。
	 * @since	1.00
	 */
	public String toString(){ return "Xmin="+Xmin+" Xmax="+Xmax+" Ymin="+Ymin+" Ymax="+Ymax; }
}
